Re: [testing] passage au 2.6.30 => problème avec la carte nVidia

Le
Sergiu Mihai
--=_542210277357c002349d1c7e85df1bd8
Content-Transfer-Encoding: 8bit
Content-Type: text/plain; charset="UTF-8"



Sylvain Sauvage a écrit :
Sergiu Mihai, mercredi 19 août 2009, 11:59:10 CEST

Ça ou en créer un soi-même avec module-assistant, en root :
# m-a a-i nvidia
(option -l 2.6.30 si le 2.6.30 n'est pas le noyau actif)

m-a (sans option) lance une interface ncurses.
man m-a pour plus d'info.

Pour mon noyau 2.6.26 je compilé le pilote avec module-assistant.
Quand j'essaie de faire pareil pour le 2.6.30 j'ai un message d'erreur:
error: 'struct proc_dir_entry' has no member named 'owner'
Ce cas a été expliqué par David dans ça réponse à ce sujet. Plus de
détails sur http://bugs.debian.org/cgi-bin/bugreport.cgi?bugS4103 [1]
Mais le package "nvidia-kernel-legacy-173xx-source" est dans Sid et pas
dans Squeeze.

Devrais-je essayer de l'installer quand même?


Links:

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bugS4103

--=_542210277357c002349d1c7e85df1bd8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset="UTF-8"

<p>Sylvain Sauvage a &eacute;crit&nbsp;:</p>
<blockquote cite="mid:20090819120616.732c0f83@ithil.lan">
<pre>Sergiu Mihai, mercredi 19 ao&ucirc;t 2009, 11:59:10 CEST<br /></pre>
<pre><br /> &Ccedil;a ou en cr&eacute;er un soi-m&ecirc;me avec module-ass=
istant, en root&nbsp;:<br /># m-a a-i nvidia<br />(option -l 2.6.30 si le 2=
.6.30 n&rsquo;est pas le noyau actif)<br /><br /> m-a (sans option) lanc=
e une interface ncurses.<br /> man m-a pour plus d&rsquo;info.<br /></pre>
</blockquote>
<p>Pour mon noyau 2.6.26 je compil&eacute; le pilote avec module-assistant=
. <br /> Quand j'essaie de faire pareil pour le 2.6.30 j'ai un message d'=
erreur: error: 'struct proc_dir_entry' has no member named 'owner'<br /> Ce=
cas a &eacute;t&eacute; expliqu&eacute; par David dans &ccedil;a r&eacute;=
ponse &agrave; ce sujet. Plus de d&eacute;tails sur <a class="moz-txt-lin=
k-freetext" href="http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=5341=
03">http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=534103</a><br /> Mai=
s le package "nvidia-kernel-legacy-173xx-source" est dans Sid et pas dans S=
queeze.<br /> <br /> Devrais-je essayer de l'installer quand m&ecirc;me?<br=
/></p>
--=_542210277357c002349d1c7e85df1bd8--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Sylvain Sauvage
Le #19953121
[Ce serait bien d’utiliser un système de citation lisible.
Ton webmail (Roundcube) doit savoir le faire (il est sûrement
aussi capable d’envoyer en texte brut seul, sans html…).]

Sergiu Mihai, mercredi 19 août 2009, 12:38:44 CEST
[…]
Pour mon noyau 2.6.26 je compilé le pilote avec module-assistant.
Quand j'essaie de faire pareil pour le 2.6.30 j'ai un message d'erreur:
error: 'struct proc_dir_entry' has no member named 'owner'
Ce cas a été expliqué par David dans ça réponse à ce sujet. Plus de
détails sur http://bugs.debian.org/cgi-bin/bugreport.cgi?bugS410 3 [1]
Mais le package "nvidia-kernel-legacy-173xx-source" est dans Sid et pas
dans Squeeze.



Oui, et le pourquoi est expliqué là :
http://packages.qa.debian.org/n/nvidia-graphics-drivers-legacy-173xx.html

Devrais-je essayer de l'installer quand même?



Étant données les raisons de son absence dans Testing, ça va
demander plusieurs autres paquets de Sid. Des cascades sont à
craindre. C’est toi qui décide.

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Gaëtan PERRIER
Le #19953271
Le Wed, 19 Aug 2009 13:25:04 +0200
Sylvain Sauvage
Oui, et le pourquoi est expliqué là :
http://packages.qa.debian.org/n/nvidia-graphics-drivers-legacy-173xx.html

> Devrais-je essayer de l'installer quand même?

Étant données les raisons de son absence dans Testing, ça va
demander plusieurs autres paquets de Sid. Des cascades sont à
craindre. C’est toi qui décide.




Pas obligatoirement. J'ai installé les drivers 185 de sid sur testing
et ça se fait sans soucis particulier et sans tirer une myriade de
paquets.


--
Gaëtan PERRIER
--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme